﻿@using DTO;
@using BLL;
﻿@using Microsoft.AspNetCore.Http;
@inject IHttpContextAccessor HttpContextAccessor

@model IEnumerable<Criteria>

@{
    ViewData["Title"] = "Echelle de Baillifard";
}

<div class="text-center">
    <h1 class="display-4">Bienvenue à toi, apprenti Valaisan!</h1>
</div>
<div class="container-fluid">
    <div class="row">
        @{
            int score = 0;
            foreach (var checkedItem in HttpContextAccessor.HttpContext.Session.Keys)
            {
                if (checkedItem.Equals("ActiveCategory")) { continue; }
                int? itemscore = HttpContextAccessor.HttpContext.Session.GetInt32(checkedItem);
                if (itemscore.HasValue)
                {
                    score += itemscore.Value;
                }
            }
            string imgsrc = "/img/";
            string legende;
            if (score < 20)
            {
                legende = "Je suis un touriste vaudois";
                imgsrc = $"{imgsrc}VD.png";
            }
            else if (score < 40)
            {
                legende = "J'ai un chalet à Zinal";
                imgsrc = $"{imgsrc}ChaletZinal.png";
            }
            else if (score < 60)
            {
                legende = "J'ai un ancêtre Valaisan";
                imgsrc = $"{imgsrc}Ancetre.png";
            }
            else if (score < 80)
            {
                legende = "Je suis abonné au Nouvelliste";
                imgsrc = $"{imgsrc}AboNouvelliste.png";
            }
            else if (score < 100)
            {
                legende = "Je suis Paul Mac Bonvin";
                imgsrc = $"{imgsrc}Paul.png";
            }
            else if (score < 115)
            {
                legende = "Je suis Christian Constantin";
                imgsrc = $"{imgsrc}Christ.png";
            }
            else
            {
                legende = "Je suis Eddy Baillifard";
                imgsrc = $"{imgsrc}Eddy.png";
            }
            <div class="col-3 p-4 p-0 text-center">
                <div class="list-group overflow-auto h-100">
                    <h2>Mon score : @score</h2>
                    <p>@legende</p>
                    <img src="@imgsrc" alt="@legende" />
                </div>
            </div>
        }
        <div class="col p-4">
            @{
                string activeCat = HttpContextAccessor.HttpContext.Session.GetString("ActiveCategory");
            }
            @foreach (Categories category in (Categories[])Enum.GetValues(typeof(Categories)))
            {
                @if (Model.Any(x => x.Category == category))
                {
                    string display = "none";
                    string active = string.Empty;
                    if (!string.IsNullOrEmpty(activeCat))
                    {
                        if (activeCat.Equals(category.ToString()))
                        {
                            display = "block";
                            active = "active";
                        }
                    }
                    <button id="b-@category.ToString()" type="button" class="collapsible @active">@UITools.Translate(category.ToString())</button>
                    <div id="c-@category.ToString()" class="collcontent" style="display: @display">
                        @foreach (var criteria in Model.Where(x => x.Category == category))
                        {
                            <div class="criteria">
                                <p>
                                    @criteria.Text
                                    @{
                                        int? icheck = HttpContextAccessor.HttpContext.Session.GetInt32(criteria.Id.ToString());
                                        bool check = icheck.HasValue;
                                    }
                                    @Html.CheckBox(criteria.Id.ToString(), check, new { onChange="window.location = '" + Url.Action("CalculateScores", "Home", new { cid = criteria.Id, status = check, score = criteria.Score, activeCategory = category.ToString() }) + "'" })
                                </p>
                            </div>
                        }
                    </div>
                }
            }
        </div>
    </div>
</div>